+ Antworten
Seite 1 von 2 1 2 LetzteLetzte
Ergebnis 1 bis 10 von 15

Thema: update auf php 7 ergibt Error

  1. #1
    Kommt häufiger vorbei Avatar von Svenoldman
    Registriert seit
    09.12.2005
    Ort
    Land Brandenburg
    Alter
    50
    Beiträge
    324
    Bedankte sich
    30
    Erhielt 8 Danksagungen
    in 7 Beiträgen

    Standard update auf php 7 ergibt Error

    Habe mal nach langem wieder eine Seite mit der neusten jommla gemacht.
    Die Seite war noch mit Joomla 1.
    Hat sich ja viel geändert.
    Soweit läuft sie gut.
    im adminbereich kam der Inweis auf ein Update des php.
    War auf 5.6 gewesen.
    Wenn ich über den Provider auf php 7.0 oder 7.1 umstelle,
    ist die Seite nicht mehr aufrufbar.
    Es kommt nur " Error"
    mehr nicht.
    Hatte im Admin schon vorher die suchmaschienfreundlichen URl ausgeschaltet und htaccess in txt unbenannt, cache gelöscht.
    Der Fehler bleibt.
    Sobald ich wieder auf php 5.6 umstelle ist alles wieder oaky.
    Habt ihr eine idee woran es liegen kann?
    Habe im Netz schon gesucht, aber für mich keine Lösung gefunden.
    Anbieter ist domainexpress.
    Danke für eure Hilfe.

  2. #2
    Hat hier eine Zweitwohnung Avatar von gottypower
    Registriert seit
    19.11.2005
    Ort
    im Core
    Alter
    52
    Beiträge
    1.952
    Bedankte sich
    55
    Erhielt 587 Danksagungen
    in 553 Beiträgen

    Standard

    da kann man fast davon ausgehen das entweder das eine Erweiterung nicht mit PHP 7 oder höher funktioniert...

    Am einfachsten ist es eine Installation ohne zusätzliche Erweiterungen zu erstellen und zu testen.
    ein Deutschlaender in Holland zuhause!!
    www.gottwals.com

    und immer schön danke sagen

  3. #3
    Wohnt hier Avatar von JoomlaWunder
    Registriert seit
    03.03.2010
    Ort
    Nordseeküste
    Beiträge
    4.276
    Bedankte sich
    194
    Erhielt 1.021 Danksagungen
    in 992 Beiträgen

    Standard

    Welche alten Erweiterungen hast du denn installiert? Kannst ja mal anfangen, zusätzliche Plugins und Module zu deaktivieren (natürlich nicht die essentiellen).
    Gruß!
    JoomlaWunder
    Kein Support per PN!
    Konnte ich helfen? -> Dann bitte den "Danke"-Button klicken!

  4. #4
    Kommt häufiger vorbei Avatar von Svenoldman
    Registriert seit
    09.12.2005
    Ort
    Land Brandenburg
    Alter
    50
    Beiträge
    324
    Bedankte sich
    30
    Erhielt 8 Danksagungen
    in 7 Beiträgen

    Standard

    Ich habe gar keine Module, Plugins oder Erweiterungen installiert.

  5. #5
    Gehört zum Inventar Avatar von Re:Later
    Registriert seit
    21.04.2014
    Ort
    Berlin
    Beiträge
    5.165
    Bedankte sich
    139
    Erhielt 2.018 Danksagungen
    in 1.795 Beiträgen

    Standard

    - Entpacke ein VOLL-Paket deiner Joomla-Version lokal, lösche Ordner /installation/ und zur Sicherheit /templates/
    - Kopiere das per FTP über deine Installation drüber.
    - Klicke unter Erweiterungen > Datenbank den Reparieren-Button.
    - - Damit gehen wir sicher, dass joomlaseitig tatsächlich alles korrekt und aktuell ist.

    - Wenn immer noch Fehler:
    - - Stelle in der Konfiguration "Fehler berichten" auf "Maximum". Schau, ob mehr Meldung kommt.

    - Wartest du nach dem Umstellen auf PHP 7 lang genug? Je nach Provider kann sich das verzögern, bis tatsächlich PHP-Version korrekt gewechselt.

    - Welches Template verwendest du? Stelle testweise auf Protostar um.

    - Gehe nach System > Systeminformationen > Klicke oben Button "Als Text exportieren" > Zippe die Textdatei und hänge sie deinem nächsten Post an.
    Joomlafachmann: https://www.ghsvs.de

  6. #6
    Wohnt hier Avatar von JoomlaWunder
    Registriert seit
    03.03.2010
    Ort
    Nordseeküste
    Beiträge
    4.276
    Bedankte sich
    194
    Erhielt 1.021 Danksagungen
    in 992 Beiträgen

    Standard

    ...... SEO, alle Cache-Möglichkeiten und .htaccess sollten zum Testen auch unbedingt deaktiviert bleiben!

    Werden beispielsweise die PHP-Version beim Hoster direkt und zusätzlich über einen .htaccess-Eintrag auf die gleiche PHP-Version gestellt, dann führt dies meist auch zu einem Serverfehler.
    Gruß!
    JoomlaWunder
    Kein Support per PN!
    Konnte ich helfen? -> Dann bitte den "Danke"-Button klicken!

  7. #7
    Kommt häufiger vorbei Avatar von Svenoldman
    Registriert seit
    09.12.2005
    Ort
    Land Brandenburg
    Alter
    50
    Beiträge
    324
    Bedankte sich
    30
    Erhielt 8 Danksagungen
    in 7 Beiträgen

    Standard

    Habe es nach euer Anleitung gemacht.
    Jetzt spuckt er folgenen Fehler aus.
    Error: Failed to start application: Could not connect to MySQL server.
    Warning: session_write_close(): Failed to write session data (user). Please verify that the current setting of session.save_path is correct (/srv/www/web402/phptmp/) in /srv/www/web402/html/libraries/joomla/session/handler/native.php on line 194

  8. #8
    Hat hier eine Zweitwohnung Avatar von gottypower
    Registriert seit
    19.11.2005
    Ort
    im Core
    Alter
    52
    Beiträge
    1.952
    Bedankte sich
    55
    Erhielt 587 Danksagungen
    in 553 Beiträgen

    Standard

    in der Fehlermeldung steht doch das Problem... gleich im ersten Satz...
    ein Deutschlaender in Holland zuhause!!
    www.gottwals.com

    und immer schön danke sagen

  9. #9
    Kommt häufiger vorbei Avatar von Svenoldman
    Registriert seit
    09.12.2005
    Ort
    Land Brandenburg
    Alter
    50
    Beiträge
    324
    Bedankte sich
    30
    Erhielt 8 Danksagungen
    in 7 Beiträgen

    Standard

    Aber warum kann er auf die Datenbank mysqli bei php 5.6 zugreifen und bei php 7 nicht?

  10. #10
    Wohnt hier Avatar von Ellwood
    Registriert seit
    03.08.2011
    Ort
    Region Hannover
    Beiträge
    2.699
    Bedankte sich
    136
    Erhielt 627 Danksagungen
    in 608 Beiträgen

    Standard

    Hast du die configuration.php wieder angepasst?
    Gruß Elwood
    Bin auch hier: http://forum.joomla.de

+ Antworten
Seite 1 von 2 1 2 LetzteLetzte

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein